Bug 23801 - разрешить "/" на LVM
: разрешить "/" на LVM
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/guile-evms)
: unstable
: all Linux
: P3 enhancement
Assigned To:
:
:
:
:
: 23155
  Show dependency tree
 
Reported: 2010-07-22 17:42 by
Modified: 2010-10-26 15:32 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-07-22 17:42:32
Не пора ли разрешить размещать корень на LVM ?
------- Comment #1 From 2010-07-22 17:54:23 -------
предлагаю высказаться RM дистрибутивов.
------- Comment #2 From 2010-07-22 19:40:45 -------
я не RM дистрибутива, но в Кентавре сейчас скорее всего сломается установка
grub если корень будет на LVM ввиду его плохой совместимости с evms.
------- Comment #3 From 2010-07-22 20:21:47 -------
Тут, как вариант, возможен вынос /boot в отдельный раздел. Если оно,
действительно, необходимо.
------- Comment #4 From 2010-07-27 00:42:18 -------
Ну так как ? А то я в пятницу в отпуск на две недели...
------- Comment #5 From 2010-07-27 14:33:45 -------
Вот такой комментарий добавлю (с #altlinux):

[11:33:46] <kiryl> в make-initrd поддержка lvm довольно примитивная, но вроде
работает. у меня проблем нету.
[11:33:59] <kiryl> если чё всплывёт -- разберёмся.
[11:34:58] <kiryl> у меня / на lvm которые на luks который на lvm :)
[11:36:13] <kiryl> раньше это безобразие ещё на usb жило
------- Comment #6 From 2010-08-18 11:08:55 -------
Ну так что ? Пробовать будем ? Пока у меня железка для опытов ещё свободна...
------- Comment #7 From 2010-08-18 11:14:24 -------
Как вариант, можно добавить какую-нибудь галочку, которая отключает контроль по
размещению разделов вообще. С соответствующим пояснением, что сам себе
Буратино. Возможно, это даже лучше: мало ли, зачем и куда пользователь захочет
систему поставить и что он будет ожидать от этого.
------- Comment #8 From 2010-08-20 19:51:13 -------
Работать оно всё равно не будет, потому как make-initrd сам не догадается что
корень на lvm если этот lvm поднят средствами evms.
------- Comment #9 From 2010-08-20 19:57:39 -------
Точнее он тупо не сможет найти корень.
------- Comment #10 From 2010-08-21 19:04:09 -------
(In reply to comment #8)

> Работать оно всё равно не будет, потому как make-initrd сам не догадается что
> корень на lvm если этот lvm поднят средствами evms.

А почему kiryl на #altlinux написал, что у него работает ? У него не через evms
?
------- Comment #11 From 2010-08-21 19:09:16 -------
У верен в том, что он работает не через evms. Evms делает невозможным
автоматически определить, что рут на lvm. Разумеется это означает только то что
автоопределение не будет работать. Если явно указать в конфиге, что нужен lvm,
то, думаю, будет создан рабочий initrd.
------- Comment #12 From 2010-08-21 19:10:13 -------
(В ответ на комментарий №10)
> > Работать оно всё равно не будет, потому как make-initrd сам не догадается что
> > корень на lvm если этот lvm поднят средствами evms.
> А почему kiryl на #altlinux написал, что у него работает ? У него не через evms
> ?
Потому что у него не инсталлер, а установленная система.
------- Comment #13 From 2010-08-21 19:21:54 -------
(In reply to comment #11)
> Если явно указать в конфиге, что нужен lvm, то, думаю, будет создан
> рабочий initrd.

Врядли.  Помнишь, даже контроллер не определялся.  Ещё не определился uuid
корневого раздела в alterator-lilo (ставил server-light), хотя fstab был
заполнен правильно.

При поднятом evms можно запустить lvm (vgscan/vgchange) и тогда тоже всё
начинает работать, я делал это из rescue, но не знаю чем это чревато в
инсталляторе.
------- Comment #14 From 2010-08-21 20:04:45 -------
(In reply to comment #13)

> При поднятом evms можно запустить lvm (vgscan/vgchange) и тогда тоже всё
> начинает работать, я делал это из rescue,

Ну вот да, потом можно и в rescue с initrd поэкспериментировать, но до того
надо хоть как-то поставить...
------- Comment #15 From 2010-08-25 17:56:05 -------
Собрал из текущего Сизифа server-light с помощью
git://git.altlinux.org/people/boyarsh/packages/mkimage-profiles-desktop.
/boot и swap на обычных разделах, всё остальное - на raid/lvm. 
После установки не загрузилось, но запуск make-initrd ("installkernel
2.6.32-std-def-alt20" на самом деле) всё поправил без лишних телодвижений. Так
что можно убирать ограничение, надо только инсталятор перевести на make-initrd.

Загрузчик - lilo.
------- Comment #16 From 2010-08-25 17:59:31 -------
И по пути выяснилось, что пакет другой...
------- Comment #17 From 2010-08-25 18:07:20 -------
make-initrd уже давно входит в server-light. Надо избавиться от mkinitrd.
------- Comment #18 From 2010-08-25 22:46:20 -------
(В ответ на комментарий №17)
> make-initrd уже давно входит в server-light. Надо избавиться от mkinitrd.

Я заметил, но make-initrd-devmapper и make-initrd-lvm там не было. На всякий
случай я доустановил, без них не пробовал.
------- Comment #19 From 2010-08-26 11:18:25 -------
...и есть проблема при остановке:

Unmounting filesystem [/sys]:
Unmounting filesystem [/home]:
Unmounting filesystem [/boot]:
Turning off LVM:   Failed to find sysfs mount point [FAILED]
Turning off RAID for md0: mdadm: fail to stop array /dev/md0: Device or
resourcy [FAILED]
Unmounting filesystem [/dev]:
Remounting remaining filesystems (if any) read-only:
Remounting root filesystem read-only:
The system is halted

Почему - оно понятно, а вот что делать - вопрос...
------- Comment #20 From 2010-09-10 12:31:08 -------
(In reply to comment #13)

> При поднятом evms можно запустить lvm (vgscan/vgchange)

мне хватило vgscan --mknodes (из rescue). Далее сразу
cd tmp
mkdir 1
mount "UUID=c996257f-75be-4897-b94a-18bc948b4b4e" 1

и прочие нужные mount.
------- Comment #21 From 2010-09-21 14:43:08 -------
fixed in 0.4-alt8